# Repeat!

An Ashita FFXI plugin used to repeat commands at a specified interval. This is an improvement to the addon called repeater.

Repeater Command Listing: /rp, /repeat or /repeater are all valid:

 /rp [set|unset] [command] - Set or Unset command to be repeated.
 /rp [cycle] <number> - Number of milliseconds to wait before repeating.
 /rp [jitter] <number> - Specify max. random addition to cycle time. Default: 0
 /rp [start|stop] - Starts or Stops repeating of previously set command.
 /rp debug - Toggles debug prints messages.");

Note: Cycle duration must be within 1s and 3600s (1000ms to 3600000ms)
Note: Jitter duration must be within 0s and 3600s (1ms to 3600000ms; 0 = disabled).

Example:

/rp set command /dance4 motion
/rp cycle 10000
/rp start

This will execute the command "/dance4 motion" every 10,000ms (10 seconds).

If you require a randomized interval between command executions, you can simply specify an additional amount of time, called jitter, to randomly be added to your cycle time:

/rp jitter 3000

This will execute the command periodically, ranging between 10 and 13 seconds.